https://bugs.gentoo.org/917555
https://gitlab.gnome.org/GNOME/gupnp/-/commit/00514fb62ebd341803fa44e26a6482a8c25dbd34

From 00514fb62ebd341803fa44e26a6482a8c25dbd34 Mon Sep 17 00:00:00 2001
From: Jens Georg <mail@jensge.org>
Date: Sat, 25 Nov 2023 17:56:02 +0100
Subject: [PATCH] all: Fix compatibility with libxml2 2.12.x

--- a/libgupnp/gupnp-control-point.c
+++ b/libgupnp/gupnp-control-point.c
@@ -27,6 +27,8 @@
 #include <config.h>
 #include <string.h>
 
+#include <libxml/parser.h>
+
 #include "gupnp-control-point.h"
 #include "gupnp-context-private.h"
 #include "gupnp-resource-factory-private.h"
--- a/libgupnp/gupnp-service-proxy-action.c
+++ b/libgupnp/gupnp-service-proxy-action.c
@@ -9,6 +9,8 @@
 
 #include <config.h>
 
+#include <libxml/parser.h>
+
 #include "gupnp-error.h"
 #include "gupnp-service-proxy.h"
 #include "gvalue-util.h"
--- a/libgupnp/gupnp-service-proxy.c
+++ b/libgupnp/gupnp-service-proxy.c
@@ -16,6 +16,8 @@
 #include <locale.h>
 #include <errno.h>
 
+#include <libxml/globals.h>
+
 #include "gena-protocol.h"
 #include "gupnp-context-private.h"
 #include "gupnp-error-private.h"
--- a/libgupnp/gupnp-xml-doc.c
+++ b/libgupnp/gupnp-xml-doc.c
@@ -15,6 +15,9 @@
 #include <config.h>
 #include <string.h>
 #include <gio/gio.h>
+
+#include <libxml/parser.h>
+
 #include "gupnp-xml-doc.h"
 #include "gupnp-error.h"
 
--- a/libgupnp/xml-util.h
+++ b/libgupnp/xml-util.h
@@ -10,6 +10,8 @@
 #define GUPNP_XML_UTIL_H
 
 #include <libxml/tree.h>
+#include <libxml/parser.h>
+
 #include <stdarg.h>
 #include <glib-object.h>
 
-- 
GitLab
